<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0"
          name="viewport">
    <meta content="ie=edge" http-equiv="X-UA-Compatible">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <title>Validation formulaire</title>
</head>
<body>

<div id="in">
    <label for="username">Tapez votre username</label>
    <input type="text" id="username">
</div>

<div id="in">
    <label for="password">Tapez votre mot de pass</label>
    <input type="text" id="password">
</div>

<div id="in">
    <label for="tel">Tapez votre téléphone</label>
    <input type="text" id="tel">
</div>

<div id="in">
    <label for="mail">Tapez votre mail</label>
    <input type="text" id="mail">
</div>

<button type="submit" id="confirme">Confirmer</button>

<div id="message" style="background-color: hotpink"></div>

<script>

    function confirm(window) {

        $('body>div>p').remove();

        let messages = ""
        affmessage(messages)

        var user = document.getElementById('username').value


        if (user.length == '0') {

            let messages = "Identifiant obligatoire"
            affmessage(messages)

        }else if (user.length < '8' && user.length !== '0') {
            let messages = "Identifiant trop court"
            affmessage(messages)
        }

        var pass = document.getElementById('password').value



        console.log(pass.length)

        if (pass.length < '8') {
            let messages = "Mot de passe trop court trop court"
            affmessage(messages)

        }

        if (['$', '^', '%', '@'].includes(pass)) {

        } else {

            let messages = "Le mot de passe doit contenir au moins un caractère spécial"
            affmessage(messages)

        }

        if (['0', '1', '2', '3', '4', '5', '6', '7', '8', '9'].includes(pass)) {

        } else {
            let messages = "Le mot de passe doit contenir au moins un chiffre"
            affmessage(messages)
        }

        var tel = document.getElementById('tel').value

        if (tel.length < '10' ){

            let messages = "Le téléphone est invalide"
            affmessage(messages)

        } else if(['0', '1', '2', '3', '4', '5', '6', '7', '8', '9'].includes(tel)) {

        } else {

            let messages = "Le téléphone est invalide"
            affmessage(messages)

        }

        var mail = document.getElementById('mail').value

        if(['@'].includes(mail)){

        } else {
            let messages = "Le mail est invalide"
            affmessage(messages)
        }

    }

    document.getElementById('confirme').addEventListener("click", confirm)

    function affmessage(messages){

        $('<p>' + messages + '</p>').attr({id: 'text'}).appendTo('#message');
    }

</script>

</body>
</html>